Package fr.gouv.vitam.batch.report.rest.resource

# Class BatchReportResource

java.lang.Object
fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource
fr.gouv.vitam.batch.report.rest.resource.BatchReportResource

@Path("/batchreport/v1") public class BatchReportResource extends ApplicationStatusResource

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource

  `STATUS_URL, TENANTS_URL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BatchReportResource(BatchReportServiceImpl batchReportServiceImpl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `appendReport(com.fasterxml.jackson.databind.JsonNode body, int tenantId)`
  `jakarta.ws.rs.core.Response`
  `createExtractedMetadataDistributionFileForAu(String processId, WorkFlowExecutionContext executionContext)`
  `jakarta.ws.rs.core.Response`
  `deleteReport(String processId, ReportType reportType)`
  `jakarta.ws.rs.core.Response`
  `exportDistinctObjectGroup(String processId, ReportRequestWrapper<ReportExportRequest> reportRequestWrapper)`
  `jakarta.ws.rs.core.Response`
  `exportPurgeAccessionRegister(String processId, ReportRequestWrapper<ReportExportRequest> reportRequestWrapper)`
  `jakarta.ws.rs.core.Response`
  `exportUnitsToInvalidate(String processId, ReportRequestWrapper<ReportExportRequest> reportRequestWrapper)`
  `jakarta.ws.rs.core.Response`
  `readComputedDetailsFromReport(com.fasterxml.jackson.databind.JsonNode body)`
  `jakarta.ws.rs.core.Response`
  `storeExtractedMetadataForAu(List<ExtractedMetadata> extractedMetadatas)`
  `jakarta.ws.rs.core.Response`
  `storeReportToWorkspace(ReportRequestWrapper<Report> reportRequestWrapper)`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource

  `getServerTenants, status`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BatchReportResource

    public BatchReportResource(BatchReportServiceImpl batchReportServiceImpl)

- ## Method Details

  - ### appendReport

    @Path("/append") @POST @Produces("application/json") @Consumes("application/json") public jakarta.ws.rs.core.Response appendReport(com.fasterxml.jackson.databind.JsonNode body, @HeaderParam("X-Tenant-Id") int tenantId)

  - ### storeReportToWorkspace

    @Path("/storeToWorkspace") @POST @Produces("application/json") @Consumes("application/json") public jakarta.ws.rs.core.Response storeReportToWorkspace(ReportRequestWrapper<Report> reportRequestWrapper)

  - ### exportDistinctObjectGroup

    @Path("/purge_unit/objectgroup_export/{processId}") @POST @Produces("application/json") @Consumes("application/json") public jakarta.ws.rs.core.Response exportDistinctObjectGroup(@PathParam("processId") String processId, ReportRequestWrapper<ReportExportRequest> reportRequestWrapper) throws ContentAddressableStorageServerException, IOException
    Throws:
      `ContentAddressableStorageServerException`
      `IOException`

  - ### exportUnitsToInvalidate

    @Path("computedInheritedRulesInvalidation/{processId}") @POST @Produces("application/json") @Consumes("application/json") public jakarta.ws.rs.core.Response exportUnitsToInvalidate(@PathParam("processId") String processId, ReportRequestWrapper<ReportExportRequest> reportRequestWrapper) throws Exception
    Throws:
      `Exception`

  - ### exportPurgeAccessionRegister

    @Path("/purge/accession_register_export/{processId}") @POST @Produces("application/json") @Consumes("application/json") public jakarta.ws.rs.core.Response exportPurgeAccessionRegister(@PathParam("processId") String processId, ReportRequestWrapper<ReportExportRequest> reportRequestWrapper) throws ContentAddressableStorageServerException, IOException
    Throws:
      `ContentAddressableStorageServerException`
      `IOException`

  - ### deleteReport

    @Path("/cleanup/{reportType}/{processId}") @DELETE @Produces("application/json") public jakarta.ws.rs.core.Response deleteReport(@PathParam("processId") String processId, @PathParam("reportType") ReportType reportType)

  - ### storeExtractedMetadataForAu

    @Path("/storeExtractedMetadataForAu") @POST @Produces("application/json") @Consumes("application/json") public jakarta.ws.rs.core.Response storeExtractedMetadataForAu(List<ExtractedMetadata> extractedMetadatas)

  - ### createExtractedMetadataDistributionFileForAu

    @Path("/createExtractedMetadataDistributionFileForAu/{processId}") @GET @Produces("application/json") @Consumes("application/json") public jakarta.ws.rs.core.Response createExtractedMetadataDistributionFileForAu(@PathParam("processId") String processId, @QueryParam("executionContext") WorkFlowExecutionContext executionContext)

  - ### readComputedDetailsFromReport

    @Path("/readComputedDetailsFromReport") @GET @Produces("application/json") @Consumes("application/json") public jakarta.ws.rs.core.Response readComputedDetailsFromReport(com.fasterxml.jackson.databind.JsonNode body)